/*******************************************************************************
 * File    : STM32VLDiscovery/WS2812/main.c
 * version : 1.0.0    wizard2001
 * CPU     : STM32F100RBT6B 128k/8k 24MHz     CooCox CoIDE 1.7.1
 * date    :    21.04.2013     last Update : 27.04.2013
 * Funktion: Test RGB LEDstrip 30 LEDs WS2812
 ******************************************************************************/
/* Includes ------------------------------------------------------------------*/
#include "stm32f10x_conf.h"
#include "STM32f10x.h"
#include "delay.h"
#include "ws2812.h"

/* Private function prototypes -----------------------------------------------*/


int main(void)
{
  uint8_t i;

  WS2812_init();                                           // init GPIO for Dout & LEDs
  LED_init();

  for (i=1; i<Max_LED; i++)
  {
    WS2812_wr(i);
    delay_ms(50);
  }
  while (1)
  {
    LED3_on;
    LED4_off;
    WS2812_wr(Max_LED);
    WS2812_dimm();
    delay_ms(10);                                         // delay about 0,3s
    LED4_on;
    LED3_off;
    delay_ms(10);
  }
}

/******************* (C) COPYRIGHT 2014 wizard2001 *****END OF FILE****/
